const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_f = z.y * z.y;
    v4_13 = z.z * z.z # bp+13;
    v4_17 = z.x * z.x # bp+17;
    *z.x = v4_17 - v4_13 - v4_f + j.x;
    v4_24 = v4_17 + v4_f # bp+24;
    v4_2e = sqrtl(v4_24) * z.z;
    v2_38 = fabsl(2 * v4_2e) # bp+38;
    *z.y = fabs(j.y) - v2_38;
    v2_49 = fabsl(2 * z.y * z.x * (v4_24 - v4_13) / v4_24) # bp+49;
    *z.z = fabs(j.z) - v2_49;
    return z.x;


	}